moodleNotifer

Public Member Functions | List of all members
main.subjectdatabase.moodle Class Reference

This is used for maintaining the Student moodle data. More...

## Public Member Functions
def | ___init__ (self)
def | create_table (self)
def | insert (self, subject_id, subject_name)
def | update (self, row, column, dictt)
def | printdb (self)
def | get_courseid (self, sub_id)
def | get_all_courses (self)
def | delete_sub (self)
def | assignment_details (self, subid)
def | quiz_details (self, subid)
def | course_contents (self, subid)
def | get_announcements (self, subid)

## Detailed Description

This is used for maintaining the Student moodle data.

Definition at line 60 of file subjectdatabase.py.

The documentation for this class was generated from the following file:

- main/subjectdatabase.py